package loadtests.examples.loadcoder.bestpractise;

import org.springframework.web.client.RestTemplate;

import com.loadcoder.load.scenario.design.ScenarioLogicTyped;
public class CustomerLogic extends ScenarioLogicTyped<ThreadInstance> {

	public CustomerLogic(ThreadInstance threadInstance) {
		super(threadInstance);
	}
	
	void getCustomerAge() {
		load("getAge", ()->{
			RestTemplate restTemplate = getTypeInstance().getRestTemplate();
			return "";
	})
		.handleResult(resultHandler->{
			if(resultHandler.getResponse() == null ) {
				resultHandler.setStatus(false);
			}
		})
		.perform();
	}

}
